deployable assets
Create deployable assets health
Requires scopes: admin:org
POST
/
api
/
deployable-assets
/
{id}
/
health
Create deployable assets health
curl --request POST \
--url https://evalgate.com/api/deployable-assets/{id}/health \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"versionId": 123,
"qualityScore": 123,
"cohort": "shadow",
"costUsd": 123,
"windowStartedAt": "2023-11-07T05:31:56Z",
"windowEndedAt": "2023-11-07T05:31:56Z",
"invocationCount": 123,
"successRate": 123,
"p95LatencyMs": 123,
"policyViolationCount": 123
}
'import requests
url = "https://evalgate.com/api/deployable-assets/{id}/health"
payload = {
"versionId": 123,
"qualityScore": 123,
"cohort": "shadow",
"costUsd": 123,
"windowStartedAt": "2023-11-07T05:31:56Z",
"windowEndedAt": "2023-11-07T05:31:56Z",
"invocationCount": 123,
"successRate": 123,
"p95LatencyMs": 123,
"policyViolationCount": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
versionId: 123,
qualityScore: 123,
cohort: 'shadow',
costUsd: 123,
windowStartedAt: '2023-11-07T05:31:56Z',
windowEndedAt: '2023-11-07T05:31:56Z',
invocationCount: 123,
successRate: 123,
p95LatencyMs: 123,
policyViolationCount: 123
})
};
fetch('https://evalgate.com/api/deployable-assets/{id}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"qualityScore": "<string>",
"deploymentId": "<string>",
"cohort": "<string>",
"costUsd": "<string>",
"artifactVersionId": 123,
"windowStartedAt": "2023-11-07T05:31:56Z",
"windowEndedAt": "2023-11-07T05:31:56Z",
"invocationCount": 123,
"successRate": "<string>",
"p95LatencyMs": 123,
"policyViolationCount": 123,
"recordedBy": "<string>",
"recordedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
shadow Response
Successful response
⌘I
Create deployable assets health
